<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <title>Time tracker · Bootstrap</title>
  <link rel="stylesheet" href="fontawesome/css/all.css" />
  <link rel="stylesheet" href="dist/css/main.css">
</head>

<body>

  <!-- START Template -->
  <script type="text/template">
    <div class="wrapper d-flex">

      <!-- START Sidebar -->
      <div class="sidebar-wrapper bg-light border-right">
        <h1 class="sidebar-heading">Time tracker</h1>
        {% assign activeUser = users | where: "id", options.activeUser | first %}
        <div class="sidebar-user bg-light text-primary">{{ activeUser.name }}</div>
        <div class="list-group list-group-flush">
          <a href="index.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-tachometer-alt"></i>
            Dashboard
          </a>
          <a href="time.html" class="list-group-item list-group-item-action bg-light">
            <i class="far fa-clock"></i>
            Time tracking
          </a>
          <a href="projects.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-project-diagram"></i>
            Projects
          </a>
          <a href="clients.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-star"></i>
            Clients
          </a>
          <a href="teams.html" class="list-group-item list-group-item-action bg-light text-primary">
            <i class="fas fa-users-cog"></i>
            Teams
          </a>
          <a href="users.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-users"></i>
            Users
          </a>
          <a href="settings.html" class="list-group-item list-group-item-action bg-light">
            <i class="fas fa-cogs"></i>
            Settings
          </a>
        </div>
      </div>
      <!-- END Sidebar-->
  

      <!-- START Main -->
      <div class="main-wrapper">
  
        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
          <button class="btn btn-light border" id="js-open-nav">
            <span class="navbar-toggler-icon"></span>
          </button>

          <ul class="nav navbar-nav navbar-right ml-auto mt-2 mt-lg-0">
            <li class="nav-item active">
              <a class="nav-link" href="#" id="js-logout">Log out</a>
            </li>
          </ul>              
        </nav>
  
        <!-- START Content -->
        <div class="container-fluid">

          <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
            <h2 class="h2">Teams</h2>
            <div class="btn-toolbar mb-2 mb-md-0">
              <div class="btn-group mr-2">
                <a href="../index.html" class="btn btn-sm btn-outline-secondary border">Change framework</a>
                <button type="button" class="btn btn-sm btn-outline-secondary border" id="js-load-data">Reset data</button>
              </div>
            </div>
          </div>
  
  
          <h3>All teams</h3>  
          {% for team in teams %}
            {% if team.active == 1 %}
            <div class="card bg-light mt-3">
              <div class="card-body">
                <div class="row align-items-center no-gutters">
                  <div class="col">
                    <h5 class="card-title mb-1 text-info">{{ team.name }}</h5>
                    <p class="card-text">  
                      {% for userId in team.users %}
                        {% assign user = users | where: "id", userId %}
                        <span class="badge badge-dark">{{ user.first.username }}</span>
                      {% endfor %}
                    </p>
                  </div>
                  <div class="col-auto">
                    <button type="button" class="btn btn-danger" data-delete-team="{{ team.id }}"><i class="fas fa-trash-alt"></i></button>
                  </div>
                </div>
              </div>
            </div>
            {% endif %}
          {% endfor %}
  
          <div class="mt-3">
            <button type="button" class="btn btn-lg btn-primary" data-toggle="modal" data-target="#teamModal"><i class="fas fa-plus"></i> Add team</button>
          </div>
  
          <hr class="my-4">
  
          <h3>Inactive teams</h3>  
          {% for team in teams %}
            {% if team.active == 0 %}
            <div class="card bg-light border-muted mt-3">
              <div class="card-body">
                <div class="row align-items-center no-gutters">
                  <div class="col">
                    <h5 class="card-title mb-1 text-muted">{{ team.name }}</h5>
                    <p class="card-text">  
                      {% for userId in team.users %}
                        {% assign user = users | where: "id", userId %}
                        <span class="badge badge-dark">{{ user.first.username }}</span>
                      {% endfor %}
                    </p>
                  </div>
                </div>
              </div>
            </div>
            {% endif %}
          {% endfor %}

        </div>
        <!-- END Content -->

      </div>
      <!-- END Main -->
  
    </div>
    <!-- END Wrapper -->

    <!-- START Modal -->
    <div class="modal fade" id="teamModal" tabindex="-1" role="dialog" aria-labelledby="teamModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <form id="js-add-team">
            <div class="modal-header">
              <h5 class="modal-title" id="teamModalLabel">New team</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form>
                <div class="form-group">
                  <label for="t1">Team name</label>
                  <input type="text" class="form-control" required id="t1" name="name">
                </div>
                <div class="form-group">
                  <label for="t2">Users</label>
                  <select class="form-control" multiple required name="users">
                    {% for user in users %}
                    <option value="{{ user.id }}">{{ user.username }}</option>
                    {% endfor %}
                  </select>
                </div>
              
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              <button type="submit" class="btn btn-primary">Add</button>
            </div>
          </form>
        </div>
      </div>
    </div>
    <!-- END Modal -->


  </script>
  <!-- END Template -->

  <div id="render">
  </div>

  <script src="dist/js/app.js"></script>
</body>

</html>